JNA API 3.5.2-SNAPSHOT

## com.sun.jna
Class StructureWriteContext

    java.lang.Object
      com.sun.jna.ToNativeContext
          com.sun.jna.StructureWriteContext

    public class StructureWriteContext

extends ToNativeContext

Provide Java to native type conversion context for a `Structure` field write.

Constructor Summary
`StructureWriteContext(Structure struct, java.lang.reflect.Field field)`

Method Summary
`java.lang.reflect.Field` `getField()` Get the `Field` being written to native memory.
`Structure` `getStructure()` Get the `Structure` the field is a member of.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureWriteContext

    StructureWriteContext(Structure struct,
                          java.lang.reflect.Field field)

Method Detail

### getStructure

    public Structure getStructure()

  Get the `Structure` the field is a member of.

### getField

    public java.lang.reflect.Field getField()

  Get the `Field` being written to native memory.

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.